Subject: TN5250E - Encrypted Password

From: [email-masked]
Date: Fri, 26 Jun 1998 10:26:47 -0700

Hi Jeffery,

We have tried (again) using a client seed and substitute password that did
not contain any reserved octets (0x00, 0x01, 0x02, 0x03, or 0xFF).  The
AS/400 still fails to bypass the sign-on screen.  Except for the password,
the data stream matches exactly a clear-text password data stream that
succeeds in bypassing the sign-on screen, regardless of what the 8 byte
client seed is.

Given an AS/400 at V4R2 with all the appropriate PTF's listed in APAR 10918
applied, can IBM verify that password encryption works?  Any help in this
matter will be greatly appreciated.

NOTE:  We have looked at Client Access/95 and it does not encrypt the
password.

Larry

---

From: Qilun Chen <[email-masked]>
Date: Mon, 29 Jun 1998 17:26:29 -0400

Hi Larry,

     Encrypted Auto-Signon feature is working properly on our
AS/400 systems.  To ensure this feature has been implemented
correctly, you need to take cautions in the following areas.
     1)Does the code of 5250 client strictly follow the seven
       encryption steps?
     2)Did 5250 client send the client seed to the server?  The
       client seed is an eight bytes random number.
     3)Does the code of 5250 client provide correct parms when
       calling the DES routine?  Please note that DES has several
       different modes, we are using the 64 bits block mode,
       not linked mode or anything else.
     4)Does the AS/400 server have all the PTFs installed?
       Verify that you have the server package that supports
       this auto-signon feature.

     I have attached sample parms and results for people coding
5250 clients.  You can try to use the following parms to test
the encryption routine, I have attached a COMM trace below
for reference as well.

ID:           USER123
Password:     ABCDEFG
server seed:  7D4C 2319 F280 04B2
client seed:  08BE F662 D851 F4B1
PWSEQs:       1     (PWSEQs is a sequence number needed in the
                     seven step encryption, and it is always one.)

Encrypted Password should be : 5A58 BD50 E4DD 9B5F

*** Environment Option Negotiation with Server ***
S->C: > FFFD27
C->S: > FFFB27
S->C: > FFFD18
C->S: > FFFB18
S->C: > FFFA2701 0349424D 52534545 447D4C23  *..'..IBMRSEED}L#*
        19F28004 B20003FF F0                 *.........       *
C->S: > FFFA2700 0349424D 52534545 440108BE  *..'..IBMRSEED...*
        F662D851 F4B10055 53455201 55534552  *.b.Q...USER.USER*
        31323303 49424D53 55425350 57015A58  *123.IBMSUBSPW.ZX*
        BD50E4DD 9B5FFFF0                    *.P..._..        *
S->C: > FFFA1801 FFF0                        *......          *
C->S: > FFFA1800 49424D2D 33343837 2D4E43FF  *....IBM-3487-NC.*
        F0                                   *.               *
S->C: > FFFA1801 FFF0                        *......          *
C->S: > FFFA1800 49424D2D 33343837 2D4E43FF  *....IBM-3487-NC.*
        F0                                   *.               *
S->C: > FFFD19                               *...             *
C->S: > FFFB19                               *...             *
S->C: > FFFB19                               *...             *
C->S: > FFFD19                               *...             *
S->C: > FFFD00                               *...             *
C->S: > FFFB00                               *...             *
S->C: > FFFB00                               *...             *
C->S: > FFFD00                               *...             *
S->C: > FFFD00                               *...             *
C->S: > FFFB00                               *...             *
S->C: > FFFB00                               *...             *
C->S: > FFFD00                               *...             *
S->C: > 001112A0 00000400 000304F3 0005D970  *...........3..R.*
        00FFEF                               *...             *
C->S: > 004712A0 00000400 00030000 88003AD9  *.G............:.*
        70800600 01020000 00000000 00000000  *p...............*
        00000000 00000001 F3F1F7F9 F0F0F201  *................*
        01000000 701201F4 00000002 11D0000F  *....p...........*
        74000000 000000FF EF                 *t........       *
S->C: > 000A12A0 00000400 000CFFEF           *............    *
S->C: > (Then server sends the menu screen to the client, and
         the session is established.  User has bypassed the
         signon screen.)

Qilun Chen (Kevin)        Internet Email: [email-masked]
IBM - AS/400 Division, TCP/IP Applications and Internet Connection Team
Tie Line: 8-852-5494  Office Phone: (607) 752-5494
__________________________________________________________________

---------------------- Forwarded by Thomas Murphy Jr/Endicott/IBM on 06/26/98
02:55 AM ---------------------------

[email-masked] on 06/26/98 01:34:16 PM
Please respond to [email-masked]
To: [email-masked]
cc:
Subject: TN5250E - Encrypted Password

Hi Jeffery,

Larry

---

From: Jack Porter <[email-masked]>
Date: Tue, 30 Jun 1998 17:22:18 -0400

Hello Qilun -
        Would you mind elaborating further on a couple of items in your recent post ?

-----Original Message-----
From:   Qilun Chen [SMTP:[email-masked]]
Sent:   Monday, June 29, 1998 5:26 PM
To:     [email-masked]
Cc:     Paul Rieth; Jeffrey Stevens; Thomas Murphy Jr
Subject:        Re: TN5250E - Encrypted Password

Hi Larry,

[Jack Porter]  WHERE ARE THESE SEVEN STEPS DOCUMENTED ?
[Jack Porter]  IS "64 BITS BLOCK MODE" THE SAME AS "ELECTRONIC CODEBOOK" MODE ?

[Jack Porter]  Thanks very much, Jack